| Home | Libraries | People | FAQ | More

## Function template find_tail

boost::algorithm::find_tail — Find tail algorithm.

## Synopsis

    template<typename CollectionT>
      iterator_range< typename result_iterator_of< CollectionT >::type >
      find_tail(CollectionT & Input, unsigned int N);

## Description

Get the head of the input. Head is a suffix of the string of the given size. If the input is shorter then required, whole input if considered to be the tail.

Parameters

Input

  An input string

N

  Length of the tail

Returns: An `iterator_range` delimiting the match. Returned iterator is either `CollectionT::iterator` or `CollectionT::const_iterator` , depending on the constness of the input parameter.
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba